/**
 * filename : SeekEdit.java
 * package  : de.renem.android.dictionary
 *
 * Stellt einen einfachen Suchendialog zur Verfgung.
 * Die Eingabe wird mittels Bundle an den Aufrufer 
 * zurck gegeben.
 *
 * Using JRE 1.6.0_21
 *
 * @author renem
 * @date 14.10.2010
 * @version 1.0
 *
 * weitere Beispiele unter www.android.renem.de
 * 
 */
package de.renem.android.dictionary;


import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnTouchListener;
import android.widget.Button;
import android.widget.EditText;

public class SeekEdit extends Activity {

    private EditText mSeek;

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        Log.e("MyApp", "+-- ON CREATE --+ SeekEdit");

        setContentView(R.layout.seek_edit);

    	Button pshCancel = (Button) findViewById(R.id.pshCancel);
		pshCancel.setOnTouchListener(onTouchButton);

        Button pshOK = (Button) findViewById(R.id.pshOK);
		pshOK.setOnTouchListener(onTouchButton);

		// Der Inhalt von mSeek wird zurck gegeben.
		mSeek = (EditText) findViewById(R.id.seek);

    }

OnTouchListener onTouchButton = new OnTouchListener() {

		@Override
		public boolean onTouch(View v, MotionEvent event) {

	    	switch (v.getId()) {
	    		case R.id.pshCancel:
	    			if( event.getAction() == MotionEvent.ACTION_UP){
	    	            Intent intent = new Intent();
	    	            setResult(Activity.RESULT_CANCELED, intent);
	    	            finish();
	    	            break;
	    				}
	    			break;
	    		case R.id.pshOK:
	    			if( event.getAction() == MotionEvent.ACTION_UP){
	    	            Intent intent = new Intent();
	    	            Bundle bundle = new Bundle();
	    	            // In onActivityResult() wird der Inhalt von mSeek 
	    	            // fr den neuen Filter verwendet.
	    	            bundle.putString("Result", mSeek.getText().toString());
	    	            intent.putExtra("bundle", bundle);
	    	            setResult(Activity.RESULT_OK, intent);
	    	            finish();
	    	            break;
	    			}
	    			break;
	    	}
	        return false;
		}
	};

	public void onStart() {
        super.onStart();
        Log.e("MyApp", "-- ON START -- SeekEdit");
    }

    public void onResume() {
        super.onResume();
       Log.e("MyApp", "-- ON RESUME -- SeekEdit");
    }

    public void onPause() {
        super.onPause();
        Log.e("MyApp", "-- ON PAUSE -- SeekEdit");
    }

    public void onStop() {
        super.onStop();
        Log.e("MyApp", "-- ON STOP -- SeekEdit");
    }

    public void onDestroy() {
        super.onDestroy();
        Log.e("MyApp", "-- ON DESTROY -- SeekEdit");
    }

}
